%{?nodejs_find_provides_and_requires}

%global packagename spawn-command-with-kill

# npm(jest) not yet packaged in Fedora
%global enable_tests 0

Name:		nodejs-spawn-command-with-kill
Version:	1.0.2
Release:	1%{?dist}
Summary:	Adds cross-platform `kill` function to spawn-command processes

License:	MIT
URL:		https://github.com/kentcdodds/spawn-command-with-kill.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(spawn-command)
BuildRequires:	npm(ps-tree)

%if 0%{?enable_tests}
BuildRequires:	npm(jest)
%endif

%description
Adds cross-platform `kill` function to spawn-command processes


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/jest
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Dec  8 2018 Jared K. Smith <jsmith@fedoraproject.org> - 1.0.2-1
- Initial packaging
